Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class NetwareFileParser

    java.lang.Object
      com.enterprisedt.net.ftp.FTPFileParser
          com.enterprisedt.net.ftp.NetwareFileParser

    public class NetwareFileParser

extends FTPFileParser

Represents a remote Netware file parser

Version:
  $Revision: 1.2 $
Author:
  Bruce Blackshaw

Field Summary
`static java.lang.String` | `cvsId` Revision control id

Fields inherited from class com.enterprisedt.net.ftp.FTPFileParser
`ignoreDateParseErrors`

Constructor Summary
`NetwareFileParser()` Constructor

Method Summary
`static boolean` | `isNetware(java.lang.String raw)` Is this a Netware format listing?
`boolean` | `isValidFormat(java.lang.String[] listing)` Valid format for this parser
`FTPFile` | `parse(java.lang.String raw)` Parse server supplied string, e.g.: d [RWCEAFMS] PhilliJb 512 May 10 2007 2007 Upgrade - [RWCEAFMS] PhilliJb 700730 Jun 26 2008 xtag_manual_v1.5.pdf
`void` | `setLocale(java.util.Locale locale)` Set the locale for date parsing of listings
`java.lang.String` | `toString()`

Methods inherited from class com.enterprisedt.net.ftp.FTPFileParser
`isMultiLine, setIgnoreDateParseErrors, split, split, split, trimStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cvsId

    public static final java.lang.String cvsId

  Revision control id

  See Also:
    Constant Field Values

Constructor Detail

### NetwareFileParser

    public NetwareFileParser()

  Constructor

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale for date parsing of listings

  Specified by:
    `setLocale` in class `FTPFileParser`
  Parameters:
    `locale` - locale to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isValidFormat

    public boolean isValidFormat(java.lang.String[] listing)

  Valid format for this parser

  Overrides:
    `isValidFormat` in class `FTPFileParser`
  Parameters:
    `listing` -
  Returns:
    true if valid

### isNetware

    public static boolean isNetware(java.lang.String raw)

  Is this a Netware format listing?

  Parameters:
    `raw` - raw listing line
  Returns:
    true if Netware, false otherwise

### parse

    public FTPFile parse(java.lang.String raw)
                  throws java.text.ParseException

  Parse server supplied string, e.g.: d [RWCEAFMS] PhilliJb 512 May 10 2007 2007 Upgrade - [RWCEAFMS] PhilliJb 700730 Jun 26 2008 xtag_manual_v1.5.pdf

  Specified by:
    `parse` in class `FTPFileParser`
  Parameters:
    `raw` - raw string to parse
  Throws:
    `java.text.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.